Package net.rubygrapefruit.platform

# Interface SystemInfo

All Superinterfaces:
  `NativeIntegration`

All Known Implementing Classes:
  `DefaultSystemInfo`, `MutableSystemInfo`

public interface SystemInfo extends NativeIntegration
Provides access to some system information. This is a snapshot view and does not change.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`SystemInfo.Architecture`

## Method Summary

Modifier and Type
Method
Description
`SystemInfo.Architecture`
`getArchitecture()`
Returns the machine architecture, as reported by the operating system.
`String`
`getArchitectureName()`
Returns the machine architecture name, as reported by the operating system.
`String`
`getKernelName()`
Returns the name of the kernel for the current operating system.
`String`
`getKernelVersion()`
Returns the version of the kernel for the current operating system.

## Method Details

### getKernelName

String getKernelName()
Returns the name of the kernel for the current operating system.

### getKernelVersion

String getKernelVersion()
Returns the version of the kernel for the current operating system.

### getArchitectureName

String getArchitectureName()
Returns the machine architecture name, as reported by the operating system.

### getArchitecture

SystemInfo.Architecture getArchitecture()
Returns the machine architecture, as reported by the operating system.